    ;                              L I N E N U M
    
    ; Adds line numbers to the left side of an ASCII text file and outputs
    ; the result to a new file.
    
    ; Original written by Al Davis 2 feb 1989.  Modified by Leif Eriksen.
    
    (defun C:LINENUM ()
      (setq olderr *error*)
     (setq *error* errhld)
     (setq infn (fopen "Enter source file name" "" "r"))
     (setq outfn (fopen "Enter target file name" "" "w"))
     (setq inc (getint "\nEnter line number increment for status display <1>: "))
     (if (null inc)
       (setq inc 1)
       )
     (setq cnt inc)
     (setq line (read-line infn))
     (terpri)
     (while line
       (setq line (strcat (pad (itoa cnt) 5) line))
       (write-line line outfn)
       (princ "\rWriting line ")
       (prin1 cnt)
       (setq cnt (+ cnt inc))
       (setq line (read-line infn))
       ) ;end while
     (close infn)
     (close outfn)
     (prompt "\n\nNumbering complete.")
     (princ)
   ) ;end defun


   ; This routine pads a string to a given length
   (defun PAD (st cnt)
     (substr (strcat st "                                                    ")
             1 cnt)
   )
   



